<template>
    <section class="portfoliopageheader relative flex flex-col items-center justify-center w-full bg-black z-20" style="height: 30rem">

        <div class="portfoliopageheader__container flex flex-col items-center justify-center text-center">

            <!-- Retour au portfolio -->
            <button
                @click="$router.push(`/portfolio/`)"
                class="span flex py-2 px-6 border border-white"
            >
                Retourner au portfolio
            </button>

            <!-- Titre -->
            <h1 class="h1 h1__title mt-6">{{ data.title }}</h1>
        </div>

    </section>

</template>

<script>

export default {

    // Nom du composant
    name: 'PortfolioPageHeader',

    // Données en paramètres du composant
    props: {
        data: { type: Object, default: () => { } }
    },

    // Données du composant
    data() {
        return {
            // data
        }
    },

    // Script à éxécuter au chargement du composant
    mounted() {
        // mounted
    },

    // Méthodes du composant
    methods: {
        // methods
    }
}

</script>
